PAHO_CS_SUB_STATIC(1L)

NAME
paho_cs_sub_static - receive (subscribe to) data from an MQTT server

SYNOPSIS
paho_cs_sub_static [topic] [-t|--topic topic] [-c|--connection connection] [-h|--host hostname] [-p|--port portnumber] [-i|--clientid clientid] [-u|--username username] [-P|--password password] [-k|--keepalive keepalive-timeout] [-V|--MQTT-version 31|311|5]
[-q|--qos 0|1|2] [-R|--no-retained] [--delimiter delimiter] [--no-delimiter]
[--quiet] [--verbose] [--trace min|max|error|protocol]
[--will-topic will-topic] [--will-payload will-payload] [--will-retain] [--will-qos 0|1|2]
[--cafile cafile] [--capath capath] [--cert certfile] [--key keyfile] [--keypass password] [--ciphers cipher-string] [--insecure]

DESCRIPTION
paho_cs_sub_static receives data from an MQTT server using the Eclipse Paho C client synchronous library (MQTTClient). MQTT is a protocol, operating over TCP/IP, which allows programs to easily communicate with each other through a server. Messages are published to topics and delivered to any subscribers to those topics. The corresponding publisher program paho_cs_pub allows MQTT messages to be sent.

The default mode of operation is to output each message to stdout terminated by the delimiter.

OPTIONS

-t
--topic
    The MQTT topic to publish the data to.

-c
--connection
    The MQTT URI to connect to, a combination of transport prefix, host, port and for websockets, topic. To connect using TCP use the tcp prefix, for example: tcp://localhost:1883. An example using SSL/TLS: ssl://localhost:1883. An example for websockets, insecure: ws://localhost:1883/topic, and secure: wss://localhost:80/topic.

-h
--host
    The TCP/IP host name of the MQTT server to connect to. Along with the --port option, an older alternative to using --connection.

-p
--port
    The TCP/IP port number of the MQTT server to connect to. Along with the --host option, an older alternative to using --connection.

-q
--qos
    The MQTT QoS on which to publish the message. The alternatives are 0, 1 or 2.

-V
--MQTTversion
    The version of the MQTT protocol to use. Valid options are 31 (or mqttv31), 311 (mqttv311) and 5 (or mqttv5).

--quiet
    Do not print error messages.

--trace
    Print library internal trace. Valid levels are min, max, error and protocol.

-R
--no-retained
    Do not print messages which have the MQTT retained flag set.

--delimiter
    The delimiter string to append to each message when printing. Defaults to newline.

--no-delimiter
    Do not add a delimiter to each message when printing.

--will-topic
    Sets the MQTT will message topic to publish to. If the application ends without sending an MQTT disconnect, the will message will be published to this topic.

--will-payload
    Only used if will-topic is set. Sets the MQTT will message to be published.

--will-qos
    Only used if will-topic is set. Sets the MQTT QoS at which the will message is published. The alternatives are 0, 1 or 2.

--will-retain
    Only used if will-topic is set. Sets the MQTT retained flag on the will message.

--cafile
    Only used with a TLS connection. The name of a file for the OpenSSL trust store.

--capath
    Only used with a TLS connection. The name of a directory holding OpenSSL trusted certificates.

--cert
    Only used with a TLS connection. The name of a file for the TLS keystore containing a client certificate to be presented.

--key
    Only used with a TLS connection. The name of a file containing the client private key.

--keypass
    Only used with a TLS connection. The password for the client private key file, if needed.

--ciphers
    Only used with a TLS connection. A list of cipher suites that the client will present to the server during the TLS handshake.

--insecure
    Only used with a TLS connection. Don't check that the server certificate common name matches the hostname.

SEE ALSO
paho_c_pub(1) paho_c_pub_static(1) paho_c_sub(1) paho_c_sub_static(1) paho_cs_pub(1) paho_cs_pub_static(1) paho_cs_sub(1)